<?php
    if ( ! isset ( $_SESSION [ 'user_id' ] ) ) {
        header ( "Location: " . $GLOBALS [ 'config' ] [ 'installation_path' ] . "/login" );
    }
    $database = new Database ( $GLOBALS [ 'config' ] [ 'db' ] );
    $database->connect ( );
    if ( isset ( $_POST [ 'url' ] ) ) {
        $url = $_POST [ 'url' ];
        $database->prepare ( "INSERT INTO `links` ( `ID`, `URL`, `created_by` ) VALUES ( NULL, ?, " . $_SESSION [ 'user_id' ] . " );" );
        $parameters = [
            [ "s" ],
            [ &$url ],
        ];
        $database->bind ( $parameters );
        $database->execute ( );
        $database->prepare ( "SELECT MAX( links.ID ) as `last` FROM links;");
        $database->execute ( );
        $result = $database->get_result ( );
        $row = $result->fetch_assoc ( );
        header ( 'Content-Type: application/json' );
        $response = [
            'status' => 200,
            'message' => 'URL inserted correctly.',
            'last_insert' => $row [ 'last' ],
        ];
        echo ( json_encode ( $response ) );
        exit;
    }
    else {
        $database->prepare ( "SELECT links.ID, links.URL FROM links WHERE links.created_by = " . $_SESSION [ 'user_id' ] );
        $database->execute ( );
        $result = $database->get_result ( );
        $row = $result->fetch_assoc ( );
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Management Panel | <?=$GLOBALS['config']['website_name']?></title>
        <link href="<?=$GLOBALS['config']['installation_path']?>/favicon.ico" rel="icon" type="image/x-icon">
    </head>
    <body>
        <button onclick="logout()">Logout</button>
        <div id="urllist">
<?php
                if ( ! $row ) {
                    echo ( "You have not created any URL yet.<br>" );
                }
                else {
                    do {
                        echo ( "\t\t\t" . '<div>' . $row [ 'ID' ] . " | " . $row [ 'URL' ] . "</div>\n" );
                    } while ( $row = $result->fetch_assoc ( ) );
                }
?>
        </div>
        <input type="text" id="form-url" placeholder="URL:">
        <button onclick="urlinsert()">Insert new URL</button><br>
        <div id="responsetext"></div>
        <script src="<?=$GLOBALS['config']['installation_path']?>/lib/js/insertnew.js"></script>
        <script>var script_name = "<?=$GLOBALS['config']['installation_path']?>";</script>
    </body>
</html>
<?php
    }
